﻿<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/Assessment">
    <html>
      <head>
        <title><xsl:value-of select="FishStock"/>, <xsl:value-of select="AssessmentYear"/>
      </title>
      </head>
      <style type="text/css">
        <!--
a {color: #CCCCCC}
-->
      </style>


      <body>
        <b>FishStock:       </b> <xsl:value-of select="FishStock"/><br></br>
        <b>Assessment Year: </b><xsl:value-of select="AssessmentYear"/><br></br><br></br><br></br>
        <b>FLim:            </b><xsl:value-of select="Flim"/><br></br>
        <b>Fpa:             </b><xsl:value-of select="Fpa"/><br></br>
        <b>Blim:            </b><xsl:value-of select="Blim"/><br></br>
        <b>Bpa:             </b><xsl:value-of select="Bpa"/><br></br>
        <b>FMSY:            </b><xsl:value-of select="FMSY"/><br></br>
        <b>MSYBtrigger:     </b><xsl:value-of select="MSYBtrigger"/><br></br>
        <b>FManagement:     </b><xsl:value-of select="FManagement"/><br></br>
        <b>BManagement:     </b><xsl:value-of select="BManagement"/><br></br>
        <b>RecruitmentAge:  </b><xsl:value-of select="RecruitmentAge"/><br></br>
        <b>FAge:            </b><xsl:value-of select="FAge"/>
        <br></br>
        <br></br>
        <u>FishData :</u>
        <table border="0">
          <xsl:apply-templates select="FishData"/>
        </table>

        <u>SensitivityData :</u>
        <table border="0">
          <xsl:apply-templates select="Sensitivity_Data"/>
        </table>

      </body>
    </html>
  </xsl:template>


  <xsl:template match="FishData">
    <xsl:if test="position() =1">
      <tr>
        <xsl:for-each select="*">
          <td width="200" bgcolor="#336699">
            <font color="#FFFFFF" size="2">
              <xsl:value-of select="translate(name(),'_-12',' /()')" />
            </font>
          </td>
        </xsl:for-each>
      </tr>
    </xsl:if>

    <tr>
      <xsl:if test="position() mod 2">
        <xsl:attribute name="bgcolor">#DDDDDD</xsl:attribute>
      </xsl:if>
      <xsl:for-each select="*">
        <td>
          <font color="#444444" size="2">
            <xsl:value-of select="." />
          </font>
        </td>
      </xsl:for-each>
    </tr>

  </xsl:template>
  <xsl:template match="Sensitivity_Data">
    <xsl:if test="position() =1">
      <tr>
        <xsl:for-each select="*">
          <td width="200" bgcolor="#336699">
            <font color="#FFFFFF" size="2">
              <xsl:value-of select="translate(name(),'_-12',' /()')" />
            </font>
          </td>
        </xsl:for-each>
      </tr>
    </xsl:if>

    <tr>
      <xsl:if test="position() mod 2">
        <xsl:attribute name="bgcolor">#DDDDDD</xsl:attribute>
      </xsl:if>
      <xsl:for-each select="*">
        <td>
          <font color="#666666" size="2">
            <xsl:value-of select="." />
          </font>
        </td>
      </xsl:for-each>
    </tr>

  </xsl:template>
</xsl:stylesheet>